package com.fg.mock

/**
 * Description
 * @author Jan Novotný, FG Forrest a.s. (c) 2007
 * @version $Id: ReferencingGroovyClass.groovy,v 1.4 2010/01/15 14:40:50 u_novoj Exp $
 */

public class ReferencingGroovyClass implements JavaHelloWorldInterface {
	//GroovyHelloWorldInterface or MainGroovyClass type class will break Spring injection
	//we must use only Java interface - thats very limiting!!!
	JavaHelloWorldInterface mainGroovyClass = new MainGroovyClass();
	PojoManager pojoManager = new PojoManager();

	public String sayHello() {
		return mainGroovyClass.sayHello();
	}

	public Pojo getPojo() {
		return pojoManager.findPojo();
	}

}